await seam.phones.list({
owner_user_identity_id: "6bc848b0-0e7f-4d4c-8ea1-004ccda0b0a4",
});
/*
[
{
"created_at": "2025-06-14T16:54:17.946540Z",
"custom_metadata": {
"id": "internalId1"
},
"device_id": "e452f665-a635-4c65-922b-9feab0e0f84f",
"device_type": "ios_phone",
"display_name": "My Phone",
"errors": [],
"nickname": "My Phone",
"properties": {
"assa_abloy_credential_service_metadata": {
"endpoints": [
{
"endpoint_id": "c7d8e9f0-1a2b-3c4d-5e6f-7a8b9c0d1e2f",
"is_active": true
}
],
"has_active_endpoint": true
}
},
"warnings": [],
"workspace_id": "da8639a4-28a2-4884-a4f9-b7691f4cf336"
}
]
*/{
"ok": true,
"phones": [
{
"created_at": "2023-11-07T05:31:56Z",
"custom_metadata": {},
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_type": "ios_phone",
"display_name": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>"
}
],
"properties": {
"assa_abloy_credential_service_metadata": {
"endpoints": [
{
"endpoint_id": "<string>",
"is_active": true
}
],
"has_active_endpoint": true
},
"salto_space_credential_service_metadata": {
"has_active_phone": true
}
},
"warnings": [
{
"message": "<string>",
"warning_code": "<string>"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nickname": "<string>"
}
]
}Phones
List Phones
Returns a list of all phones. To filter the list of returned phones by a specific owner user identity or credential, include the owner_user_identity_id or acs_credential_id, respectively, in the request body.
POST
/
phones
/
list
await seam.phones.list({
owner_user_identity_id: "6bc848b0-0e7f-4d4c-8ea1-004ccda0b0a4",
});
/*
[
{
"created_at": "2025-06-14T16:54:17.946540Z",
"custom_metadata": {
"id": "internalId1"
},
"device_id": "e452f665-a635-4c65-922b-9feab0e0f84f",
"device_type": "ios_phone",
"display_name": "My Phone",
"errors": [],
"nickname": "My Phone",
"properties": {
"assa_abloy_credential_service_metadata": {
"endpoints": [
{
"endpoint_id": "c7d8e9f0-1a2b-3c4d-5e6f-7a8b9c0d1e2f",
"is_active": true
}
],
"has_active_endpoint": true
}
},
"warnings": [],
"workspace_id": "da8639a4-28a2-4884-a4f9-b7691f4cf336"
}
]
*/{
"ok": true,
"phones": [
{
"created_at": "2023-11-07T05:31:56Z",
"custom_metadata": {},
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_type": "ios_phone",
"display_name": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>"
}
],
"properties": {
"assa_abloy_credential_service_metadata": {
"endpoints": [
{
"endpoint_id": "<string>",
"is_active": true
}
],
"has_active_endpoint": true
},
"salto_space_credential_service_metadata": {
"has_active_phone": true
}
},
"warnings": [
{
"message": "<string>",
"warning_code": "<string>"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nickname": "<string>"
}
]
}Authorizations
api_keypat_with_workspaceconsole_session_with_workspace
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the credential by which you want to filter the list of returned phones.
ID of the user identity that represents the owner by which you want to filter the list of returned phones.

